Skip to main content
GET
/
workflows
/
run
/
{workflow_run_id}
获取工作流执行情况
curl --request GET \
  --url https://{api_base_url}/workflows/run/{workflow_run_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{api_base_url}/workflows/run/{workflow_run_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{api_base_url}/workflows/run/{workflow_run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "fb47b2e6-5e43-4f90-be01-d5c5a088d156",
  "workflow_id": "7c3e33d4-2a8b-4e5f-9b1a-d3c6e8f12345",
  "status": "succeeded",
  "inputs": "{\"query\": \"Translate this to French\"}",
  "outputs": {
    "result": "Traduisez ceci en francais"
  },
  "error": null,
  "total_steps": 3,
  "total_tokens": 150,
  "created_at": 1705407629,
  "finished_at": 1705407630,
  "elapsed_time": 1.23
}
{
"status": 400,
"code": "not_workflow_app",
"message": "Please check if your app mode matches the right API route."
}
{
"status": 404,
"code": "not_found",
"message": "Workflow run not found."
}

Authorizations

Authorization
string
header
required

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。缺少或无效的 API Key 会返回 HTTP 401,错误码为 unauthorized

Path Parameters

workflow_run_id
string
required

工作流运行 ID,可从工作流执行响应、流式事件或消息元数据中获取。

Response

成功获取工作流运行详情。

id
string<uuid>

工作流运行 ID。

workflow_id
string<uuid>

工作流 ID.

status
string

工作流执行状态。running 表示执行中,succeeded 表示成功完成,failed 表示执行出错,stopped 表示手动停止,partial-succeeded 表示部分节点成功但其他失败,paused 表示等待人工介入。

inputs
string | null

工作流运行的输入变量,以原始 JSON 字符串返回(例如 {"query": "..."}),客户端需自行解析;可能为 null

outputs
object

工作流的输出数据。尚无输出时为空对象。

error
string | null

工作流失败时的错误消息。

total_steps
integer

已执行的工作流总步数。

total_tokens
integer

消耗的总令牌数。

created_at
integer<int64>

工作流运行创建时的 Unix 时间戳。

finished_at
integer<int64> | null

工作流运行结束时的 Unix 时间戳。

elapsed_time
number<float> | null

总耗时(秒)。

Last modified on July 9, 2026